View Issue Details

IDProjectCategoryView StatusLast Update
0001859Inno Script StudioGeneralpublic2018-02-24 14:55
ReportercacofonyAssigned Totimchilvers 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.1 
Target VersionFixed in Version2.2.2 
Summary0001859: 2.2.1.31 - PreCompile batch files
DescriptionStill notice the same issue reported in issue: 0001858
TagsNo tags attached.

Relationships

related to 0001858 resolvedtimchilvers 2.2.0.26 - PreCompile batch files 
related to 0001860 assignedtimchilvers PostCompile Name - ".." meaned InnoScript Studio dir, but not dir with .iss 

Activities

cacofony

2015-03-09 06:45

reporter  

PreCompile.zip (2,351 bytes)

cacofony

2015-03-09 06:47

reporter   ~0001129

I have uploaded an example script and batch file.

If you run install\signing\Sign Client.bat from explorer it will show working directory expected and 2 examples of file and pass of file locations.

If you run the ISS script the working directory will not be correct.

timchilvers

2015-03-09 16:03

administrator   ~0001130

Confirmed with the example script. Will need some further investigation and testing

timchilvers

2015-03-09 18:52

administrator   ~0001131

Reverted Pre/Post path handling code to use the older code from 2.1. Can you please try the test build that can be downloaded from https://www.kymoto.org/downloads/ISStudio_0001859.exe

Can you please confirm the behavior is as expected when running the batch script from the Pre-compile section

cacofony

2015-03-12 04:02

reporter   ~0001142

Thanks! Testing this version works as expected.

timchilvers

2015-03-12 13:09

administrator   ~0001143

Corrected path correction issues

Issue History

Date Modified Username Field Change
2015-03-09 06:33 cacofony New Issue
2015-03-09 06:45 cacofony File Added: PreCompile.zip
2015-03-09 06:47 cacofony Note Added: 0001129
2015-03-09 16:03 timchilvers Note Added: 0001130
2015-03-09 16:03 timchilvers Assigned To => timchilvers
2015-03-09 16:03 timchilvers Status new => confirmed
2015-03-09 16:05 timchilvers Relationship added related to 0001858
2015-03-09 18:52 timchilvers Note Added: 0001131
2015-03-09 18:52 timchilvers Status confirmed => feedback
2015-03-11 11:53 timchilvers Relationship added related to 0001860
2015-03-12 04:02 cacofony Note Added: 0001142
2015-03-12 04:02 cacofony Status feedback => assigned
2015-03-12 13:09 timchilvers Note Added: 0001143
2015-03-12 13:09 timchilvers Status assigned => resolved
2015-03-12 13:09 timchilvers Fixed in Version => 2.2.2
2015-03-12 13:09 timchilvers Resolution open => fixed
2018-02-24 14:55 timchilvers Status resolved => closed